# JacocoReportAggregationPlugin

@Incubating
abstract class JacocoReportAggregationPlugin : Plugin<T>

Adds configurations to for resolving variants containing JaCoCo code coverage results, which may span multiple subprojects. Reacts to the presence of the jvm-test-suite plugin and creates tasks to collect code coverage results for each named test-suite.

#### Since

7.4

#### See also

<a href="https://docs.gradle.org/current/userguide/jacoco_report_aggregation_plugin.html">JaCoCo Report Aggregation Plugin reference</a>

## Constructors

JacocoReportAggregationPlugin
Link copied to clipboard
constructor()

## Properties

JACOCO_AGGREGATION_CONFIGURATION_NAME
Link copied to clipboard
val JACOCO_AGGREGATION_CONFIGURATION_NAME: String = "jacocoAggregation"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)